Bug 1538795 - [3.7] Installer fails noting no etcd group despite etcd hosts group that IS defined
Summary: [3.7] Installer fails noting no etcd group despite etcd hosts group that IS d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.z
Assignee: Russell Teague
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 20:57 UTC by Russell Teague
Modified: 2018-04-05 09:36 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Error message on etcd group validation updated to reflect the required configurations to better inform the user of the failure state.
Clone Of: 1530403
Environment:
Last Closed: 2018-04-05 09:36:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:36:45 UTC

Comment 1 Russell Teague 2018-01-25 20:58:32 UTC
Proposed: https://github.com/openshift/openshift-ansible/pull/6884

Comment 2 Russell Teague 2018-01-26 04:25:19 UTC
Merged

Comment 4 Gaoyun Pei 2018-01-27 04:25:45 UTC
No openshift-ansible build attached in https://errata.devel.redhat.com/advisory/32336.

And the proposed PR not merged in latest available 3.7 installer - openshift-ansible-3.7.26-1.git.0.f87f1af.el7.noarch.rpm.

Comment 5 Russell Teague 2018-01-29 13:19:16 UTC
Fixed in openshift-ansible-3.7.27-1

Comment 6 Gaoyun Pei 2018-01-30 03:07:06 UTC
Verified this bug with openshift-ansible-3.7.27-1.git.0.ae95fc3.el7.noarch

Prepare an ansible inventory file which has two etcd hosts, run playbooks/byo/config.yml

#ansible-playbook -i host /usr/share/ansible/openshift-ansible/playbooks/byo/config.yml
...
TASK [Evaluate groups - Fail if no etcd hosts group is defined] *************************************************************************************************************
fatal: [localhost]: FAILED! => {"changed": false, "msg": "Running etcd as an embedded service is no longer supported. If this is a new install please define an 'etcd' group with either one, three or five hosts. These hosts may be the same hosts as your masters. If this is an upgrade please see https://docs.openshift.com/container-platform/latest/install_config/upgrading/migrating_embedded_etcd.html for documentation on how to migrate from embedded to external etcd.\n"}
	to retry, use: --limit @/usr/share/ansible/openshift-ansible/playbooks/byo/config.retry


Will move it to verified when 3.7 openshift-ansible package attached to https://errata.devel.redhat.com/advisory/32336

Comment 7 Gaoyun Pei 2018-02-08 02:27:35 UTC
Release date of advisory/32336 delayed, so mark this bug as verified with openshift-ansible-3.7.27-1.git.0.ae95fc3.el7.noarch to avoid too many bugs waiting at ON_QA status

Comment 11 errata-xmlrpc 2018-04-05 09:36:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.